Share via


Rooms - Create

Creates a new room.

POST {endpoint}/rooms?api-version=2025-03-13

URI Parameters

Name In Required Type Description
endpoint
path True

string (url)

The endpoint of the Azure Communication resource.

api-version
query True

string

Version of API to invoke.

Request Header

Name Required Type Description
Authorization True

string

An authentication string containing a signature generated using HMAC-SHA256 scheme.

Repeatability-Request-ID

string (uuid)

If specified, the client directs that the request is repeatable; that is, that the client can make the request multiple times with the same Repeatability-Request-ID and get back an appropriate response without the server executing the request multiple times. The value of the Repeatability-Request-ID is an opaque string representing a client-generated, globally unique for all time, identifier for the request. It is recommended to use version 4 (random) UUIDs.

Repeatability-First-Sent

string (date-time-rfc1123)

If Repeatability-Request-ID header is specified, then Repeatability-First-Sent header must also be specified. The value should be the date and time at which the request was first created, expressed using the IMF-fixdate form of HTTP-date.

Request Body

Name Type Description
participants

<string,  ParticipantProperties>

(Optional) Participants to be invited to the room.

pstnDialOutEnabled

boolean

Set this flag to true if, at the time of the call, dial out to a PSTN number is enabled in a particular room. By default, this flag is set to false.

validFrom

string (date-time)

The timestamp from when the room is open for joining. The timestamp is in RFC3339 format: yyyy-MM-ddTHH:mm:ssZ. The default value is the current date time.

validUntil

string (date-time)

The timestamp from when the room can no longer be joined. The timestamp is in RFC3339 format: yyyy-MM-ddTHH:mm:ssZ. The default value is the current date time plus 180 days.

Responses

Name Type Description
201 Created

RoomModel

Request successful. The action returns a new room.

Other Status Codes

CommunicationErrorResponse

Error response

Headers

x-ms-error-code: string

Security

Authorization

An authentication string containing a signature generated using HMAC-SHA256 scheme.

Type: apiKey
In: header

Examples

Create a new meeting room.

Sample request

POST https://contoso.communication.azure.com//rooms?api-version=2025-03-13

{
  "validFrom": "2025-06-30T00:00:00Z",
  "validUntil": "2025-07-30T00:00:00Z",
  "pstnDialOutEnabled": true,
  "participants": {
    "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000666": {
      "role": "Attendee"
    },
    "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000777": {
      "role": "Presenter"
    },
    "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000888": {
      "role": "Collaborator"
    }
  }
}

Sample response

{
  "id": "99117812428622880",
  "createdAt": "2025-06-26T05:46:17.8159131+00:00",
  "validFrom": "2025-06-30T00:00:00+00:00",
  "validUntil": "2025-07-30T00:00:00+00:00",
  "pstnDialOutEnabled": true
}

Definitions

Name Description
CreateRoomRequest

Request payload for creating new room.

ParticipantProperties
Role

The role of a room participant. The default value is Attendee.

RoomModel

The meeting room.

CreateRoomRequest

Request payload for creating new room.

Name Type Description
participants

<string,  ParticipantProperties>

(Optional) Participants to be invited to the room.

pstnDialOutEnabled

boolean

Set this flag to true if, at the time of the call, dial out to a PSTN number is enabled in a particular room. By default, this flag is set to false.

validFrom

string (date-time)

The timestamp from when the room is open for joining. The timestamp is in RFC3339 format: yyyy-MM-ddTHH:mm:ssZ. The default value is the current date time.

validUntil

string (date-time)

The timestamp from when the room can no longer be joined. The timestamp is in RFC3339 format: yyyy-MM-ddTHH:mm:ssZ. The default value is the current date time plus 180 days.

ParticipantProperties

Name Type Description
role

Role

The role of a room participant. The default value is Attendee.

Role

The role of a room participant. The default value is Attendee.

Value Description
Presenter
Attendee
Consumer
Collaborator

RoomModel

The meeting room.

Name Type Description
createdAt

string (date-time)

The timestamp when the room was created at the server. The timestamp is in RFC3339 format: yyyy-MM-ddTHH:mm:ssZ.

id

string

Unique identifier of a room. This id is server generated.

pstnDialOutEnabled

boolean

Set this flag to true if, at the time of the call, dial out to a PSTN number is enabled in a particular room. By default, this flag is set to false.

validFrom

string (date-time)

The timestamp from when the room is open for joining. The timestamp is in RFC3339 format: yyyy-MM-ddTHH:mm:ssZ.

validUntil

string (date-time)

The timestamp from when the room can no longer be joined. The timestamp is in RFC3339 format: yyyy-MM-ddTHH:mm:ssZ.